Eclipse Platform Release 3.7

## org.eclipse.ui.commands
Class CategoryEvent

    java.lang.Object
      org.eclipse.ui.commands.CategoryEvent

Deprecated. Please use the "org.eclipse.core.commands" plug-in instead.

    public final class CategoryEvent

extends Object

An instance of this class describes changes to an instance of `ICategory`.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `ICategoryListener.categoryChanged(CategoryEvent)`, `CategoryEvent`

Constructor Summary
`CategoryEvent(ICategory category, boolean definedChanged, boolean nameChanged)` Deprecated. Creates a new instance of this class.

Method Summary
`ICategory` `getCategory()` Deprecated. Returns the instance of the interface that changed.
`boolean` `hasDefinedChanged()` Deprecated. Returns whether or not the defined property changed.
`boolean` `hasNameChanged()` Deprecated. Returns whether or not the name property changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryEvent

    public CategoryEvent(ICategory category,
                         boolean definedChanged,
                         boolean nameChanged)

  Deprecated.
  Creates a new instance of this class.

  Parameters:
    `category` - the instance of the interface that changed.
    `definedChanged` - true, iff the defined property changed.
    `nameChanged` - true, iff the name property changed.

Method Detail

### getCategory

    public ICategory getCategory()

  Deprecated.
  Returns the instance of the interface that changed.

  Returns:
    the instance of the interface that changed. Guaranteed not to be `null`.

### hasDefinedChanged

    public boolean hasDefinedChanged()

  Deprecated.
  Returns whether or not the defined property changed.

  Returns:
    true, iff the defined property changed.

### hasNameChanged

    public boolean hasNameChanged()

  Deprecated.
  Returns whether or not the name property changed.

  Returns:
    true, iff the name property changed.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.